# openssl_decrypt

(PHP 5 >= 5.3.0, PHP 7)

openssl_decrypt — Decrypts data

### Description

openssl_decrypt ( string `$data` , string `$method` , string `$key` [, int `$options` = 0 [, string `$iv` = "" [, string `$tag` = "" [, string `$aad` = "" ]]]] ) : string

Takes a raw or base64 encoded string and decrypts it using a given method and key.

### Parameters

`data`

  The encrypted message to be decrypted.

`method`

  The cipher method. For a list of available cipher methods, use openssl_get_cipher_methods().

`key`

  The key.

`options`

  `options` can be one of `OPENSSL_RAW_DATA`, `OPENSSL_ZERO_PADDING`.

`iv`

  A non-NULL Initialization Vector.

`tag`

  The authentication tag in AEAD cipher mode. If it is incorrect, the authentication fails and the function returns `FALSE`.

`aad`

  Additional authentication data.

### Return Values

The decrypted string on success or `FALSE` on failure.

### Errors/Exceptions

Emits an `E_WARNING` level error if an unknown cipher algorithm is passed via the `method` parameter.

Emits an `E_WARNING` level error if an empty value is passed in via the `iv` parameter.

### Changelog

Version | Description
--- | ---
7.1.0 | The `tag` and `aad` parameters were added.
5.4.0 | The `raw_output` was changed to `options`.
5.3.3 | The `iv` parameter was added.

### See Also

- openssl_encrypt() - Encrypts data